package CSV2db::Util;

use strict;
use vars qw($VERSION);
use Carp;
use IO::File;

# $Id: Util.pm,v 1.2 2002/08/17 01:35:29 dean2 Exp $
$VERSION = do {my @r=(q$Revision: 1.2 $=~/\d+/g); sprintf "%d."."%03d"x$#r,@r};

# Copyright 2002 by Nicholas Dean Pentcheff.  All rights reserved.
# This program is free software; you can redistribute it and/or modify
# it under the same terms as Perl itself.

### Some utility functions that might be useful as preprocess and
### per-field processing functions.  If so, you'll want their exported
### names.  THESE ARE NOT CLASS METHODS, though they have a classlike
### namespace.

# Preprocess function: read from one fh to another, fixing lineends
# along the way.  CAREFUL: this _might_ read in the whole input file
# in a single slurp.
sub fixlineends {
    my($in, $out) = @_;

    while (<$in>) {
	s/\015\012/\n/g;  # DOS/Windows
	s/\015/\n/g;      # Macintosh
	s/\012/\n/g;      # Unix (we might not be on Unix, eh?)
	$out->print($_);
    }
}

# Should do nothing, can be used as a test preprocessor.
# Put a gross substitute in to see it work (e.g. s/e/#/g;)
sub testcopy {
    my($in, $out) = @_;
    while (<$in>) {
	$out->print($_);
    }
}

# General or per-field processing function to trim leading and
# trailing whitespace.  Expects a single string, returns the trimmed
# string.
sub trim {
    my $s = shift @_;
    $s =~ s/^\s*//;
    $s =~ s/\s*$//;
    $s;
}


1;

# $Log: Util.pm,v $
# Revision 1.2  2002/08/17 01:35:29  dean2
# Trivial typo correction.
#
# Revision 1.1  2002/07/17 06:50:33  dean2
# Initial revision
#
